Last Comment Bug 673285 - Investigate speeding up docshell/test/navigation/test_sessionhistory.html
: Investigate speeding up docshell/test/navigation/test_sessionhistory.html
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Document Navigation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla9
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 670229
  Show dependency treegraph
 
Reported: 2011-07-21 16:12 PDT by Jonathan Griffin (:jgriffin)
Modified: 2011-10-20 22:25 PDT (History)
3 users (show)
jruderman: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
mochitest patch (1.72 KB, patch)
2011-08-16 14:07 PDT, Jonathan Griffin (:jgriffin)
bugs: review+
Details | Diff | Review

Description Jonathan Griffin (:jgriffin) 2011-07-21 16:12:35 PDT
As part of the BuildFaster project (see https://wiki.mozilla.org/ReleaseEngineering/BuildFaster), we are investigating whether certain slow mochitests can be sped up.

test_sessionhistory.html is a slow test, average execution time on a recent run (in ms):

	win32-debug, 46186
	linux-opt, 28182
	macosx64-debug, 51978
	win32-opt, 28260
	linux64-debug, 44187
	linux64-opt, 28247
	macosx64-opt, 28796
	macosx-debug, 48526
	linux-debug, 45130
Comment 1 Jonathan Griffin (:jgriffin) 2011-07-21 16:13:03 PDT
Olli, as the original test author, would you be willing to help see if this test can be sped up?
Comment 2 Boris Zbarsky [:bz] (Out June 25-July 6) 2011-07-21 20:54:22 PDT
Well, 7s or so is the 1000ms timeouts from nextTest().  I wonder why we need those....  Also some of the subtests have 1000ms timeouts.

Past that, this is actually tests for 7 bugs in 1....  I wonder whether any particular subtests are slow here.
Comment 3 Jonathan Griffin (:jgriffin) 2011-08-16 14:07:30 PDT
Created attachment 553582 [details] [diff] [review]
mochitest patch

This patch removes the 1s timeouts.  It passed on try.  Do you think it's safe to land?
Comment 4 Jonathan Griffin (:jgriffin) 2011-08-24 10:49:58 PDT
Landed as http://hg.mozilla.org/integration/mozilla-inbound/rev/cc68eeea347f
Comment 5 Matt Brubeck (:mbrubeck) 2011-08-24 17:25:51 PDT
http://hg.mozilla.org/mozilla-central/rev/cc68eeea347f

Note You need to log in before you can comment on or make changes to this bug.